import request from '@/utils/request'
import state from '@/store'
import router from '@/router'
export function SelectMachine() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '综合查询_机床_查询',
      param: '机床图号=' + arguments[0] + '&角色编号=' + arguments[1] + '&人员编号=' + arguments[2]
    }
  })
}
export function ProcessOutsourcing() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '工序外协_综合查询',
      param: '机床流水号=' + arguments[0]
    }
  })
}
export function ProcessProportion() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '工序外协_工序占比_综合查询',
      param: '机床流水号=' + arguments[0]
    }
  })
}
export function searchMachine() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '机床总查询',
      param: '机床流水号_check=' + arguments[0] + '&机床流水号=' + arguments[1] + '&角色编号=' + arguments[2] + '&人员编号=' + arguments[3]
    }
  })
}
export function searchAll() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '综合查询_总查询',
      param: '机床流水号=' + arguments[0]
    }
  })
}
